## Interface Swift_Mime_Header

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/Header.php

##### A MIME Header.

- author: - Chris Corbyn

Classes extended from Swift_Mime_Header:

Swift_Mime_ParameterizedHeader
  A MIME Header with parameters.

## Class Variables

Summary:

## Class Constants

Summary:
TYPE_DATE
TYPE_ID
TYPE_MAILBOX
TYPE_PARAMETERIZED
TYPE_PATH
TYPE_TEXT

#### TYPE_DATE = 16 (line 30)

##### Date and time headers

#### TYPE_ID = 32 (line 33)

##### Identification headers

#### TYPE_MAILBOX = 8 (line 27)

##### Mailbox and address headers

#### TYPE_PARAMETERIZED = 6 (line 24)

##### Parameterized headers (text + params)

#### TYPE_PATH = 64 (line 36)

##### Address path headers

#### TYPE_TEXT = 2 (line 21)

##### Text headers

## Method Detail

Summary:
string getFieldBody ()
mixed getFieldBodyModel ()
string getFieldName ()
int getFieldType ()
void setCharset (string $charset)
void setFieldBodyModel (mixed $model)
string toString ()

#### Method getFieldBody (line 77)

#### string getFieldBody( )

##### Get the field body, prepared for folding into a final header value.

#### Info

- access - public

#### Method getFieldBodyModel (line 64)

#### mixed getFieldBodyModel( )

##### Get the model for the field body.

The return type depends on the specifics of the Header.

#### Info

- access - public

#### Method getFieldName (line 71)

#### string getFieldName( )

##### Get the name of this header (e.g. Subject).

The name is an identifier and as such will be immutable.

#### Info

- access - public

#### Method getFieldType (line 44)

#### int getFieldType( )

##### Get the type of Header that this instance represents.

#### Info

- see - Swift_Mime_Header::TYPE_TEXT, Swift_Mime_Header::TYPE_PARAMETERIZED, Swift_Mime_Header::TYPE_MAILBOX
- see - Swift_Mime_Header::TYPE_DATE, Swift_Mime_Header::TYPE_ID, Swift_Mime_Header::TYPE_PATH
- access - public

#### Method setCharset (line 57)

#### void setCharset( string $charset)

##### Set the charset used when rendering the Header.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method setFieldBodyModel (line 51)

#### void setFieldBodyModel( mixed $model)

##### Set the model for the field body.

The actual types needed will vary depending upon the type of Header.

#### Parameters

- mixed $model:

#### Info

- access - public

#### Method toString (line 83)

#### string toString( )

##### Get this Header rendered as a compliant string.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:22 +0000 by phpDocumentor 1.4.3